# version: 
#   Added Undo 

module JF
    def self.layer_face_camera
	layers = Sketchup.active_model.layers
	name = UI.inputbox(["Layer"], [layers[0].name], [layers.map{|l|l.name}.join("|")])
	return unless name
	Sketchup.active_model.start_operation("Layer Face Camera")
	Sketchup.active_model.entities.each { |ent|
	    next unless ent.is_a? Sketchup::ComponentInstance
	    next unless ent.layer.name == name[0]
	    cdef = ent.definition
	    cdef.behavior.always_face_camera = true
	}
	Sketchup.active_model.commit_operation
    end
end

if( not file_loaded?("layer_face_camera") )
    #UI.menu("Plugins").add_item("Layer Face Camera") { Sketchup.active_model.select_tool layer_face_camera.new }
    dir = Sketchup.find_support_file("Plugins")
    cmd = UI::Command.new("Select Layer for Components to Face Camera") { JF.layer_face_camera }
    cmd.large_icon = cmd.small_icon = dir+"/layer_face_camera/layer_face_camera.png"
    cmd.status_bar_text = cmd.tooltip = "Tool for Facing Components toward Camera"
    tb = UI::Toolbar.new("Layer Face Camera")
    tb.add_item cmd
    tb.restore if tb.get_last_state == TB_VISIBLE
    UI.menu('Plugins').add_item(cmd)
    cmd = nil
end

file_loaded("layer_face_camera.rb")
